name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions
on: [push]

jobs:
  build_and_push:
    runs-on: ubuntu-latest
    container:
      image: catthehacker/ubuntu:act-latest
    steps:
      - name: Checkout 
        uses: actions/checkout@v2 # Required to mount the Github Workspace to a volume 
      - name: Login to Docker Hub
        uses: https://github.com/docker/login-action@v3
        with:
          registry: gitea.webart-tech.ru
          username: ${{ secrets.DOCKER_USERNAME }}
          password: ${{ secrets.DOCKER_PASSWORD }}
      - name: Build and push
        uses: https://github.com/docker/build-push-action@v5
        with:
          context: .
          push: true
          tags: gitea.webart-tech.ru/webart/fyrox-platformer/platformer:${{ gitea.sha }}
      - name: Deploy
        run: git clone https://gitea.webart-tech.ru/webart/kuber-deploy.git &&  \ 
             cd kuber-deploy &&  \ 
             sed -i 's/platformer:.+/platformer:${{ gitea.sha }}/g' fyrox-platformer.yml \
             git commit -am 'auto-deploy' \
             git push